Eclipse Platform Release 3.7

## org.eclipse.core.runtime.spi
Interface IRegistryProvider

    public interface IRegistryProvider

Implement this interface to specify a contributed extension registry.

This interface can be used without OSGi running.

This interface may be implemented by clients.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  org.eclipse.equinox.registry 3.2
See Also:
  `RegistryFactory.getRegistry()`, `RegistryFactory.setDefaultRegistryProvider(IRegistryProvider)`

Method Summary
`IExtensionRegistry` `getRegistry()` Returns the extension registry contributed by this provider; must not be `null`.

Method Detail

### getRegistry

    IExtensionRegistry getRegistry()

  Returns the extension registry contributed by this provider; must not be `null`.

  Returns:
    an extension registry

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.